use std::fs::File;
use std::io::prelude::*;

pub struct Temperatures {
    pub cpu: f64,
}

impl Default for Temperatures {
    fn default() -> Self {
        Temperatures {
            cpu: get_cpu_temp(),
        }
    }
}

impl Temperatures {
    pub fn update(&mut self) {
        self.cpu = get_cpu_temp();
    }
}

fn get_cpu_temp() -> f64 {
    let mut f = File::open("/sys/class/thermal/thermal_zone0/temp").unwrap();
    let mut buffer = String::new();
    f.read_to_string(&mut buffer).unwrap();

    buffer.trim().parse::<f64>().unwrap() / 1_000_f64
}
